# libmonochrome - The MonochromeLib static implementation

The monochrome library was made by PierrotLL. This project is only a reorganization of the files to make a static library, instead of having to include the source files in the projects each time.

The original docs have been converted to markdown and are available [in the libmonochrome wiki](http://git.planet-casio.com/cakeisalie5/libmonochrome/wikis/home).

## Building

Building the library is achieved by the Makefile :
- `make`: make the library ;
- `make clean`: clean the object files ;
- `make fclean`: clean the object files and the final library ;
- `make re`: cleans the object files and the final library, then makes the project.

## Using

To compile with the library, either :
- add the monochrome.h file to one of your include directories ;
- add the monochrome.h file with your sources and include it with the '#include "monochrome.h"' preprocessor directive ;
- add the include dir to your include path by adding '-I "path/to/dir/include"' to your compiler's flags.

To link with your project, either :
- add the libmonochrome.a to one of your static libraries directories ;
- add this library to your static libraries path by adding '-L "path/to/dir"' to your linker's flags.

In either way, you will have to add '-lmonochrome' to your linker's flags.

An example of using this library will then be :

	sh3eb-elf-gcc -c -o obj/main.o src/main.c -I lib/monochrome/include
	sh3eb-elf-ld -o myaddin obj/main.o -T addin.ld -L lib/monochrome -lmonochrome
